public class Phrase
{
    private String currentPhrase;
    
    /** Constructs a new Phrase object. */ 

    public Phrase(String p)
    { currentPhrase = p; }

    /** Returns the index of the nth occurrence of str in the current phrase;
     * returns -1 if the nth occurrence does not exist.
     * Precondition: str.length() > 0 and n > 0
     * Postcondition: the current phrase is not modified.
     */

    public int findNthOccurrence(String str, int n) 
    { 
        int count = 0;
        for(int i= 0; i < currentPhrase.length(); i++)
        {
            if (i+str.length() <= currentPhrase.length())
            {
                if (currentPhrase.substring(i, i+str.length()).equals(str))
                {
                    count++;
                    if (count == n)
                    {
                        return i;
                    }
                }
            }
        }
        return -1;
    }


    /** Returns the index of the last occurrence of str in the current phrase;
     * returns -1 if str is not found.
     * Precondition: str.length() > 0
     * Postcondition: the current phrase is not modified.
     */
    public int findLastOccurrence(String str)
    { 
        int i = 1;
        int index = -1;
        int nextIndex = findNthOccurrence(str, i);
        while(nextIndex != -1)
        {
            index = nextIndex;
            i++;
            nextIndex = findNthOccurrence(str, i);
        }
        return index;
    }

    /** Returns a string containing the current phrase. */ 

    public String toString()

    { 
        return currentPhrase; 
    }

}